## imagemagick 7.1.1.39+dfsg1

=== debian/changelog ===
imagemagick (8:7.1.1.39+dfsg1-2) unstable; urgency=medium

  * Add dejavu font to test for gd
  * Fix autopkgtest by finding a suitable font is default font is
    not found.

 -- Bastien Roucariès <rouca@debian.org>  Tue, 29 Oct 2024 16:54:08 +0000

imagemagick (8:7.1.1.39+dfsg1-1) unstable; urgency=medium

  * New upstream version
  * Upload to unstable

 -- Bastien Roucariès <rouca@debian.org>  Sun, 27 Oct 2024 18:45:43 +0000

imagemagick (8:7.1.1.33+dfsg1-3) UNRELEASED; urgency=medium

  * Merge generate rdeps at test time. Thanks to josh
  * Add depends imagemagick-${IMVERSION}-common
    to libmagickcore-dev quantum package

 -- Bastien Roucariès <rouca@debian.org>  Sat, 19 Oct 2024 15:14:51 +0000

imagemagick (8:7.1.1.33+dfsg1-2) experimental; urgency=medium

  * Sourcefull rebuild
  * Bump policy no changes
  * Add :any anotation

 -- Bastien Roucariès <rouca@debian.org>  Thu, 22 Aug 2024 10:11:37 +0000

imagemagick (8:7.1.1.33+dfsg1-1) experimental; urgency=medium

  * New major version (Closes: #929825)

 -- Bastien Roucariès <rouca@debian.org>  Tue, 20 Aug 2024 20:49:37 +0000
