=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1


# quantum depth is channel depth
export QUANTUMDEPTH ?= q16 q16hdri
# lib version, run make -f debian/rules update_pkg in order to upgrade
export CORESOVERSION ?= 10
export WANDSOVERSION ?= 10
export PPSOVERSION ?= 5

# minimal version ABI compatible of common
export COMMONMINVERSION ?= 8:7.0.0~

# poc arch for test empty means no test
POC_ARCH ?= any-i386 any-amd64
VALGRIND_POC_ARCH ?=

# for hardening
# export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/pkg-info.mk
include /usr/share/dpkg/architecture.mk

# version extracted from changelog
#DEB_VERSION_UPSTREAM
DEB_UPSTREAM_VERSION_DROPREVISION := $(shell set -e;echo $(DEB_VERSION_UPSTREAM) |  sed -r "s/(^.+)\..+$$/\1/g")
DEB_UPSTREAM_VERSION_MAJOR := $(shell set -e;echo $(DEB_VERSION_UPSTREAM) | sed -r "s/(^[[:digit:]]+)\..+$$/\1/g")
export IMVERSION := $(DEB_UPSTREAM_VERSION_MAJOR)

# where to put documentation (relative)
export DOC_PKG_PATH := usr/share/doc/imagemagick-$(DEB_UPSTREAM_VERSION_MAJOR)-common/html

# quantum depth used by default and by quantum independant package (first one of QUANTUMDEPTH)
export DEFAULTQUANTUMDEPTH := $(shell echo $(QUANTUMDEPTH) | cut -f 1 -d ' ')
export NOQUANTUMDEPTH := $(shell echo $(QUANTUMDEPTH) | cut -f 1 -d ' ')

# convert used for icons
export MAGICK ?= ./magick.sh magick
export CONVERT ?= $(MAGICK) convert
VALGRIND_CONVERT ?= ./libtool --mode=execute valgrind $(CONVERT)
CONVERT_FLAGS ?= -background none -define filter:blur=0.75 -filter Gaussian

# perl path
export DEB_PERL_ARCHLIB := $(shell perl -MConfig -e 'print $$Config{vendorarch}')


# configure cache for acceleration
STATIC_CONFIGURE_CACHEFILE := config.cache
CONFIGURE_CACHEFILE ?= $(STATIC_CONFIGURE_CACHEFILE)

STATIC_CONFIGURE_OPTIONS_CACHE := \
       --cache-file=../../$(CONFIGURE_CACHEFILE)
CONFIGURE_OPTIONS_CACHE ?= $(STATIC_CONFIGURE_OPTIONS_CACHE)

# disable arch optimization see #757996 and AX_GCC_ARCHFLAG m4 macro
STATIC_CONFIGURE_ARCH_FLAGS := --without-gcc-arch
CONFIGURE_ARCH_FLAGS ?= $(STATIC_CONFIGURE_ARCH_FLAGS)

# NOTICE: remove EPL delegate lib gvc (license problem)
# should be last variable
STATIC_CONFIGURE_OPTIONS := \
	--with-security-policy=debian \
	--enable-reproducible-build \
	--prefix=/usr \
	--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
	--docdir=/$(DOC_PKG_PATH) \
	--with-extra-doc-dir=' (on debian system you may install the imagemagick-$(IMVERSION) package)' \
	--sysconfdir=/etc \
	--with-includearch-dir=/usr/include/$(DEB_HOST_MULTIARCH)/ \
	--mandir=/usr/share/man \
	--infodir=/usr/share/info \
	--with-modules \
	--with-magick-plus-plus \
	--with-djvu \
        --with-heic \
	--with-openjp2 \
        --with-webp \
	--with-wmf \
	--without-gvc \
	--enable-shared \
	--without-dps \
	--without-fpx \
	--with-perl \
	--with-perl-options='INSTALLDIRS=vendor' \
	--x-includes=/usr/include/X11 \
	--x-libraries=/usr/lib/X11 \
	--without-rsvg \
	--with-fftw \
        MVDelegate=/bin/mv \
        RMDelegate=/bin/rm

CONFIGURE_OPTIONS ?= $(STATIC_CONFIGURE_OPTIONS) \
			    $(CONFIGURE_OPTIONS_CACHE) \
			    $(CONFIGURE_ARCH_FLAGS)

# export for alternatives
export MAGICK_PROGRAMS := compare animate convert composite conjure import identify stream display montage mogrify magick magick-script

MAGICK_ANY_QUANTUM_PACKAGES :=  imagemagick-$(IMVERSION).$$QUANTUM \
				libmagickcore-${IMVERSION}.$$QUANTUM-${CORESOVERSION} \
				libmagickcore-${IMVERSION}.$$QUANTUM-${CORESOVERSION}-extra \
				libmagickwand-${IMVERSION}.$$QUANTUM-${WANDSOVERSION} \
				libmagick++-${IMVERSION}.$$QUANTUM-${PPSOVERSION} \
				libmagick++-${IMVERSION}.$$QUANTUM-dev \
				libmagickcore-${IMVERSION}.$$QUANTUM-dev \
				libmagickwand-${IMVERSION}.$$QUANTUM-dev \
				libimage-magick-$$QUANTUM-perl

MAGICK_ANY_PACKAGES :=  libmagickcore-$(IMVERSION)-arch-config
MAGICK_ANY_COMPAT_PACKAGES := imagemagick

MAGICK_ALL_PACKAGES :=  imagemagick-$(IMVERSION)-common \
			imagemagick-$(IMVERSION)-doc \
			libmagickcore-$(IMVERSION)-headers \
			libmagickwand-$(IMVERSION)-headers \
			libmagick++-$(IMVERSION)-headers \
			libimage-magick-perl

MAGICK_ALL_COMPAT_PACKAGES := imagemagick-common \
			      imagemagick-doc \
			      perlmagick \
			      libmagickcore-dev \
			      libmagickwand-dev \
			      libmagick++-dev

# run POC
TEST_POC_CMD:= \
	     POCFOUND='no'; \
	     set -e; for POC in $(POC_ARCH); do \
		if dpkg-architecture -i$$POC; then \
			POCFOUND='yes'; break;\
		fi; \
	     done; \
	     echo $$POCFOUND
TEST_POC := $(shell $(TEST_POC_CMD))

VALGRIND_TEST_POC_CMD:= \
	     POCFOUND='no'; \
	     set -e; for POC in $(VALGRIND_POC_ARCH); do \
		if dpkg-architecture -i$$POC; then \
			POCFOUND='yes'; break;\
		fi; \
	     done; \
	     echo $$POCFOUND

VALGRIND_TEST_POC := $(shell $(VALGRIND_TEST_POC_CMD))
# check if FPU
HAVE_FPU_CMD := \
		set -e; \
		case $(DEB_HOST_MULTIARCH) in \
		mips*-*) \
			if grep " FPU" /proc/cpuinfo > /dev/null; then \
				echo -n "yes"; \
			else \
				echo -n "no"; \
			fi; \
		;;\
		*) \
			echo -n "yes"; \
		;; \
	       esac;

STATIC_HAVE_FPU := $(shell $(HAVE_FPU_CMD))
export HAVE_FPU ?= $(STATIC_HAVE_FPU)

# upper/lower case function
LC = ${shell set -e; echo '$1' | sed -e 's/\(.*\)/\L\1/'}
UC = ${shell set -e; echo '$1' | sed -e 's/\(.*\)/\U\1/'}
REPLACE_QUANTUM = ${shell set -e;echo '$1' |  sed -e 's/$$QUANTUM/$2/g'}
MAGICK_ANY_Q_PACKAGES = ${shell set -e;echo '$(MAGICK_ANY_QUANTUM_PACKAGES)' |  sed -e 's/$$QUANTUM/$1/g'}

# extract quantum
QUANTUM_PART = ${shell set -e;echo -n '$1' | sed -r 's/q?([[:digit:]]*)(HDRI)?/\1/gi'}
HDRI_PART = ${shell set -e;case $$(set -e; echo -n '$1' | sed -e 's/\(.*\)/\L\1/') in *hdri) echo 'yes';; *) echo 'no' ;; esac }
HDRI_STR_PART = ${shell set -e;case $$(set -e;echo -n '$1' | sed -e 's/\(.*\)/\L\1/') in *hdri) echo ' with high dynamic range';; *) echo '' ;; esac }
PRIO_COMPUTATION =${shell $(CURDIR)/debian/scripts/quantumpriority.sh '$1'}

# bug #840682
DH_EXEC_SUBST = /usr/lib/dh-exec/dh-exec-subst
DH_EXEC_SUBST_ENV = debian/scripts/dh-exec-subst-env


# q16 quantum is unsigned short
QUANTUMCTYPE_q16=unsigned short
# q16 quantum is float_t converted (float or double depending of arch)
# to stable ABI type at compilation time by autoconf
# use a wrapper to capture float_t
QUANTUMCTYPE_q16hdri:=$(shell $(CURDIR)/debian/test_float_t.sh)
# extract type of quantum. Used with ${call }
QUANTUMCTYPE = $(QUANTUMCTYPE_$(1))

# js dir
JS_DIR=www/assets

dummy:


test_fpu:
	echo $(HAVE_FPU)

PROVIDES_COMPAT_VERSION=$(DEB_VERSION)
PROVIDES_PKG_LIBMAGICKCORE_DEV_DEFAULTQ=libmagickcore-${IMVERSION}.defaultquantum-dev, libmagickcore-dev (=$${binary:Version}),
PROVIDES_LIBMAGICKCORE_DEV_DEFAULTQ=Provides: ${PROVIDES_PKG_LIBMAGICKCORE_DEV_DEFAULTQ}
PROVIDES_PKG_LIBMAGICKWAND_DEV_DEFAULTQ=libmagickwand-${IMVERSION}.defaultquantum-dev, libmagickwand-dev (=$${binary:Version}),
PROVIDES_LIBMAGICKWAND_DEV_DEFAULTQ=Provides: ${PROVIDES_PKG_LIBMAGICKWAND_DEV_DEFAULTQ}
PROVIDES_PKG_LIBMAGICKPP_DEV_DEFAULTQ=libmagick++-${IMVERSION}.defaultquantum-dev, libmagick++-dev (=$${binary:Version})
PROVIDES_LIBMAGICKPP_DEV_DEFAULTQ=Provides: ${PROVIDES_PKG_LIBMAGICKPP_DEV_DEFAULTQ}
PROVIDES_PKG_MAGICK_PERL_DEFAULTQ=libimage-magick-defaultquantum-perl, perlmagick (=$${binary:Version})
PROVIDES_MAGICK_PERL_DEFAULTQ=Provides: ${PROVIDES_PKG_MAGICK_PERL_DEFAULTQ}
DELPLACEHOLDER=XXXXX_DELETE_XXXXX

# update package files
update_pkg.%:
	# control
	QUANTUM=$(call QUANTUM_PART,$*) \
	HDRI=$(call HDRI_PART,$*) \
	HDRI_STR="$(call HDRI_STR_PART,$*)" \
	QUANTUMDEPTH=$* \
	UCQUANTUMDEPTH=$(call UC,$*) \
	DESC_QUANTUM="$$QUANTUM bits$$HDRI_STR" \
	PROVIDES_LIBMAGICKCORE_DEV='$(if $(subst $(DEFAULTQUANTUMDEPTH),,$*),$(DELPLACEHOLDER),${PROVIDES_LIBMAGICKCORE_DEV_DEFAULTQ})' \
