## imagemagick 7.1.1.43+dfsg1

=== debian/changelog ===
imagemagick (8:7.1.1.43+dfsg1-1+deb13u3) trixie; urgency=high

  * Fix CVE-2025-62171 (Closes: #1118340)
    Integer Overflow in BMP Decoder (ReadBMP):
    CVE-2025-57803 claims to be patched, but the fix is incomplete
    and ineffective.
    .
    The patch added BMPOverflowCheck() but placed it
    after the overflow occurs, making it useless.
    A malicious 58-byte BMP file can trigger AddressSanitizer
    crashes and DoS.

 -- Bastien Roucariès <rouca@debian.org>  Sun, 19 Oct 2025 10:37:32 +0200

imagemagick (8:7.1.1.43+dfsg1-1+deb13u2) trixie-security; urgency=high

  * Fix CVE-2025-55004:
    ImageMagick is vulnerable to heap-buffer overflow
    read around the handling of images with separate alpha channels
    when performing image magnification in ReadOneMNGIMage.
    This can likely be used to leak subsequent memory contents
    into the output image
    (Closes: #1111101)
  * Fix CVE-2025-55005:
    when preparing to transform from Log to sRGB colorspaces,
    the logmap construction fails to handle cases where the
    reference-black or reference-white value is larger than 1024.
    This leads to corrupting memory beyond the end of the
    allocated logmap buffer.
    (Closes: #1111102)
  * Fix CVE-2025-55154:
    the magnified size calculations in ReadOneMNGIMage
    (in coders/png.c) are unsafe and can overflow, leading to
    memory corruption.
    (Closes: #1111103)
  * Fix CVE-2025-55212:
    Passing a geometry string containing only a colon (":")
    to montage -geometry leads GetGeometry() to set width/height to 0.
    Later, ThumbnailImage() divides by these zero dimensions,
    triggering a crash (SIGFPE/abort), resulting in a denial of service.
    (Closes: #1111587)
  * Fix CVE-2025-55298:
    A format string bug vulnerability exists in InterpretImageFilenam
    function where user input is directly passed to FormatLocaleString
    without proper sanitization. An attacker can overwrite arbitrary
    memory regions, enabling a wide range of attacks from heap
    overflow to remote code execution.
    (Closes: #1111586)
  * Fix CVE-2025-57803:
    A 32-bit integer overflow in the BMP encoder’s scanline-stride
    computation collapses bytes_per_line (stride) to a tiny
    value while the per-row writer still emits 3 × width bytes
    for 24-bpp images. The row base pointer advances using the
    (overflowed) stride, so the first row immediately writes
    past its slot and into adjacent heap memory with
    attacker-controlled bytes.
    (Closes: #1112469)
  * Fix CVE-2025-57807:
    A security problem was found in SeekBlob(), which permits
    advancing the stream offset beyond the current end without
    increasing capacity, and WriteBlob(), which then expands by
    quantum + length (amortized) instead of offset + length,
    and copies to data + offset. When offset ≫ extent, the
    copy targets memory beyond the allocation, producing a
    deterministic heap write on 64-bit builds. No 2⁶⁴
    arithmetic wrap, external delegates, or policy settings
    are required.
    (Closes: #1114520)

 -- Bastien Roucariès <rouca@debian.org>  Sun, 07 Sep 2025 00:31:52 +0200

imagemagick (8:7.1.1.43+dfsg1-1+deb13u1) trixie; urgency=medium

  * Fix CVE-2025-53014:
    A heap buffer overflow was found in the `InterpretImageFilename`
    function. The issue stems from an off-by-one error that
    causes out-of-bounds memory access when processing format
    strings containing consecutive percent signs (`%%`).
    (Closes: #1109339)
  * Fix CVE-2025-53015:
    Infinite loop occur when writing during a specific XMP
    file conversion command
    (Closes: #1109339)
  * Fix CVE-2025-53019:
    `magick stream` command, specifying
    multiple consecutive `%d` format specifiers in a
    filename template causes a memory leak
    (Closes: #1109339)
  * Fix CVE-2025-53101:
    `magick mogrify` command, specifying multiple consecutive
    `%d` format specifiers in a filename template causes
    internal pointer arithmetic to generate an address
    below the beginning of the stack buffer, resulting
    in a stack overflow through `vsnprintf()`
    (Closes: #1109339)
  * Fix CVE-2025-43965:
    In MIFF image processing, image depth is mishandled
    after SetQuantumFormat is used.
  * Fix CVE-2025-46393:
    In multispectral MIFF image processing, packet_size is mishandled.

 -- Bastien Roucariès <rouca@debian.org>  Tue, 15 Jul 2025 22:29:23 +0200

imagemagick (8:7.1.1.43+dfsg1-1) unstable; urgency=medium

  * New upstream version
  * Allow smooth upgrade (Closes: #1087309)
  * Fix documentation (Closes: #1034333)

 -- Bastien Roucariès <rouca@debian.org>  Sun, 29 Dec 2024 11:21:15 +0000

imagemagick (8:7.1.1.39+dfsg1-3) unstable; urgency=medium

  [ Bastien Roucariès]
  * Fix imagemagick: .pc files contains -lfftw3
    but no libfftw3-dev dependency (Closes: #1064658)

  [ Helmut Grohne ]
  * Fix FTCBFS: (Closes: #1086784). Thanks to Helmut
    Grohne.
    + Drop versioned g++ dependency satisfied in buster.
    + Export PERL5LIB for cross building.
    + Use the installed convert for generating the icons cache.

 -- Bastien Roucariès <rouca@debian.org>  Tue, 12 Nov 2024 17:39:35 +0000
