=== debian/control ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Autogenerated Mon Nov  4 09:42:35 UTC 2024 from make -f debian/rules update_pkg
+# Autogenerated Sun Dec 29 13:54:19 UTC 2024 from make -f debian/rules update_pkg
 Source: imagemagick
 Section: graphics
 Priority: optional
@@ -11,8 +11,6 @@
  dpkg-dev (>= 1.22.5),
 # for improving build
  dh-exec,
-# ABI dump
- g++ (>= 4:7),
 # for linking compiling ...
  pkgconf, libltdl-dev,
 # for libtool does not link to depends lib
@@ -40,7 +38,9 @@
 # for libgomp symbols
  dpkg-dev (>= 1.17.6),
 # for perltest versioned due to name change
- fonts-tuffy (>= 20120614-3~)
+ fonts-tuffy (>= 20120614-3~),
+# for cross
+ imagemagick <cross>
 # for documentation
 Build-Depends-Indep: doxygen, doxygen-latex, graphviz,
 		     libxml2-utils,
@@ -58,9 +58,9 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
-Breaks: imagemagick-common (<< 8:6.9.12.98+dfsg1-1~)
-Replaces: imagemagick-common (<< 8:6.9.12.98+dfsg1-1~)
-Provides: imagemagick-common (= ${source:Version})
+Breaks: imagemagick-common (<< 8:6.9.12.98+dfsg1-1~), imagemagick-6-common (<< 8:7.0.0-1~)
+Replaces: imagemagick-common (<< 8:6.9.12.98+dfsg1-1~), imagemagick-6-common (<< 8:7.0.0-1~)
+Provides: imagemagick-common (= ${source:Version}), imagemagick-6-common (= ${source:Version})
 Description: image manipulation programs -- infrastructure
  imagemagick-common contains the filesystem infrastructure required for
  further installation of imagemagick in any configuration; it does not provide
@@ -83,9 +83,9 @@
 	    libjs-jquery-fancybox,
             fonts-tuffy
 Suggests: imagemagick
-Provides: imagemagick-doc (= ${source:Version})
-Breaks: imagemagick-doc (<< 8:6.9.12.98+dfsg1-1~)
-Replaces: imagemagick-doc (<< 8:6.9.12.98+dfsg1-1~)
+Provides: imagemagick-doc (= ${source:Version}), imagemagick-6-doc (= ${source:Version})
+Breaks: imagemagick-doc (<< 8:6.9.12.98+dfsg1-1~), imagemagick-6-doc (<< 8:7.0.0-1~)
+Replaces: imagemagick-doc (<< 8:6.9.12.98+dfsg1-1~), imagemagick-6-doc (<< 8:7.0.0-1~)
 Built-Using: ${doxygen:Built-Using}
 Description: document files of ImageMagick
  This package contains the document files shipped with ImageMagick, a software
@@ -276,6 +276,7 @@
  liblcms2-dev, liblqr-1-0-dev, libltdl-dev, libopenexr-dev, libpng-dev,
  librsvg2-dev, libtiff-dev, libwmf-dev, libx11-dev, libxext-dev, libxml2-dev,
  libxt-dev, zlib1g-dev,
+ libfftw3-dev,
  pkgconf,
  ${misc:Depends}
 Provides: libmagickcore-7.defaultquantum-dev, libmagickcore-dev (=${binary:Version}),
@@ -308,13 +309,3 @@
  MagickCore C API, MagickWand uses only a few opaque types. Accessors are
  available to set or get important wand properties.
  .
- This package contains the C libraries needed to run executables that make
- use of MagickWand.
- .
- This version of libmagickwand is compiled for a channel
- depth of 16 bits (Q16).
-
-Package: libmagickwand-7.q16-dev
-Architecture: any
-Multi-Arch: same
-Section: libdevel
