## imagemagick 7.1.1.47+dfsg1

=== debian/changelog ===
imagemagick (8:7.1.1.47+dfsg1-1) unstable; urgency=medium

  * New upstream version
  * Fix compare operator corner case

 --  Bastien Roucariès <rouca@debian.org>  Thu, 10 Apr 2025 18:04:54 +0200

imagemagick (8:7.1.1.46+dfsg1-1) unstable; urgency=medium

  * New upstream version
  * Drop depend on rsvg lib for magickcore-dev

 -- Bastien Roucariès <rouca@debian.org>  Sat, 29 Mar 2025 18:37:46 +0000
