=== debian/control ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Autogenerated Sun Dec 29 13:54:19 UTC 2024 from make -f debian/rules update_pkg
+# Autogenerated Sat Mar 29 18:46:12 UTC 2025 from make -f debian/rules update_pkg
 Source: imagemagick
 Section: graphics
 Priority: optional
@@ -274,7 +274,7 @@
  libbz2-dev, libdjvulibre-dev,
  libexif-dev, libfreetype-dev, libjpeg-dev, libopenjp2-7-dev,
  liblcms2-dev, liblqr-1-0-dev, libltdl-dev, libopenexr-dev, libpng-dev,
- librsvg2-dev, libtiff-dev, libwmf-dev, libx11-dev, libxext-dev, libxml2-dev,
+ libtiff-dev, libwmf-dev, libx11-dev, libxext-dev, libxml2-dev,
  libxt-dev, zlib1g-dev,
  libfftw3-dev,
  pkgconf,
