## imagemagick 7.1.2.1+dfsg1

=== debian/changelog ===
imagemagick (8:7.1.2.1+dfsg1-1) unstable; urgency=medium

  * New upstream version
  * Fix CVE-2025-55004:
    ImageMagick is vulnerable to heap-buffer overflow read
    around the handling of images with separate alpha channels
    when performing image magnification in ReadOneMNGIMage.
    (Closes: #1111101)
  * Fix CVE-2025-55005:
    When preparing to transform from Log to sRGB colorspaces,
    the logmap construction fails to handle cases where the
    reference-black or reference-white value is larger than 1024.
    This leads to corrupting memory beyond the end of the allocated
    logmap buffer.
    (Closes: #1111102)
  * Fix CVE-2025-55154:
    The magnified size calculations in ReadOneMNGIMage
    (in coders/png.c) are unsafe and can overflow, leading to
    memory corruption.
    (Closes:  #1111103)
  * Fix CVE-2025-55160:
    There is undefined behavior (function-type-mismatch) in
    splay tree cloning callback. This results in a deterministic
    abort under UBSan (DoS in sanitizer builds),
    with no crash in a non-sanitized build
    (Closes:  #1111104)
  * Conflicts with graphicsmagick-libmagick-dev-compat

 -- Bastien Roucariès <rouca@debian.org>  Sun, 17 Aug 2025 18:54:36 +0200

Imagemagick (8:7.1.1.47+dfsg1-2) unstable; urgency=medium

  * Fix CVE-2025-53014:
    A heap buffer overflow was found in the `InterpretImageFilename`
    function. The issue stems from an off-by-one error that
    causes out-of-bounds memory access when processing format
    strings containing consecutive percent signs (`%%`).
    (Closes: #1109339)
  * Fix CVE-2025-53015:
    Infinite loop occur when writing during a specific XMP
    file conversion command
    (Closes: #1109339)
  * Fix CVE-2025-53019:
    `magick stream` command, specifying
    multiple consecutive `%d` format specifiers in a
    filename template causes a memory leak
    (Closes: #1109339)
  * Fix CVE-2025-53101:
    `magick mogrify` command, specifying multiple consecutive
    `%d` format specifiers in a filename template causes
    internal pointer arithmetic to generate an address
    below the beginning of the stack buffer, resulting
    in a stack overflow through `vsnprintf()`
    (Closes: #1109339)

 -- Bastien Roucariès <rouca@debian.org>  Tue, 15 Jul 2025 22:29:23 +0200
