=== debian/rules ===
--- 
+++ 
@@ -43,9 +43,19 @@
 export MAGICK ?= ./magick.sh magick
 export CONVERT ?= $(MAGICK) convert
 VALGRIND_CONVERT ?= ./libtool --mode=execute valgrind $(CONVERT)
+ifneq (,$(filter cross,$(DEB_BUILD_PROFILES)))
+CROSS_CONVERT = convert
+else
+CROSS_CONVERT = $(CONVERT)
+endif
 CONVERT_FLAGS ?= -background none -define filter:blur=0.75 -filter Gaussian
 
 # perl path
+ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
+PERLVER := $(shell perl -MConfig -e 'print $$Config{version}')
+PERL5LIB := /usr/lib/$(DEB_HOST_MULTIARCH)/perl/cross-config-$(PERLVER)$(if $(PERL5LIB),:$(PERL5LIB))
+export PERL5LIB
+endif
 export DEB_PERL_ARCHLIB := $(shell perl -MConfig -e 'print $$Config{vendorarch}')
 
 
@@ -220,7 +230,3 @@
 	QUANTUM=$(call QUANTUM_PART,$*) \
 	HDRI=$(call HDRI_PART,$*) \
 	HDRI_STR="$(call HDRI_STR_PART,$*)" \
-	QUANTUMDEPTH=$* \
-	UCQUANTUMDEPTH=$(call UC,$*) \
-	DESC_QUANTUM="$$QUANTUM bits$$HDRI_STR" \
-	PROVIDES_LIBMAGICKCORE_DEV='$(if $(subst $(DEFAULTQUANTUMDEPTH),,$*),$(DELPLACEHOLDER),${PROVIDES_LIBMAGICKCORE_DEV_DEFAULTQ})' \
