## imagemagick 7.1.2.7%2Bdfsg1

=== debian/changelog ===
imagemagick (8:7.1.2.7+dfsg1-1) unstable; urgency=medium

  * New upstream version.
  * Fix CVE-2025-62171 (Closes: #1118340)
    An integer overflow vulnerability exists in the BMP decoder
    on 32-bit systems. The vulnerability occurs in coders/bmp.c
    when calculating the extent value by multiplying image columns
    by bits per pixel. On 32-bit systems with size_t of 4 bytes,
    a malicious BMP file with specific dimensions can cause
    this multiplication to overflow and wrap to zero.

 -- Bastien Roucariès <rouca@debian.org>  Sat, 18 Oct 2025 11:57:01 +0200
