## imagemagick 7.1.2.8+dfsg1

=== debian/changelog ===
imagemagick (8:7.1.2.8+dfsg1-1) unstable; urgency=medium

  * New upstream version
  * Fix CVE-2025-62594:
    ImageMagick is vulnerable to denial-of-service due to
    unsigned integer underflow and division-by-zero in
    the CLAHEImage function. When tile width or height is
    zero, unsigned underflow occurs in pointer arithmetic,
    leading to out-of-bounds memory access,
    and division-by-zero causes immediate crashes.

 -- Bastien Roucariès <rouca@debian.org>  Tue, 28 Oct 2025 17:06:16 +0100
