=== debian/control ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Autogenerated Sat Mar 29 18:46:12 UTC 2025 from make -f debian/rules update_pkg
+# Autogenerated Mon Aug 18 19:21:53 CEST 2025 from make -f debian/rules update_pkg
 Source: imagemagick
 Section: graphics
 Priority: optional
@@ -157,6 +157,7 @@
 	 libimage-magick-q16-perl:any
 Provides: perlmagick
 Suggests: imagemagick-7-doc
+Conflicts: graphicsmagick-libmagick-dev-compat
 Recommends: fonts-tuffy 
 Description: Perl interface to the ImageMagick graphics routines
  PerlMagick is an objected-oriented Perl interface to ImageMagick.
